Author Topic: (SOLVED) Errors after today's git update  (Read 1986 times)

VastOne

  • Full Member
  • ***
  • Posts: 200
    • View Profile
(SOLVED) Errors after today's git update
« on: February 01, 2015, 23:48:02 »
I just did a pull from git after reading that squentin has pushed a commit to add support for gstreamer-1.x and small gstreamer updates/improvements..

I am now getting this error and GMB not loading

Code: [Select]
Undefined subroutine &GStreamer1::Registry::get called at /home/vastone/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 91
installing gstreamer-1.0 in debian does not solve the issue
« Last Edit: February 02, 2015, 00:20:06 by VastOne »

VastOne

  • Full Member
  • ***
  • Posts: 200
    • View Profile
Re: Errors after today's git update
« Reply #1 on: February 02, 2015, 00:19:46 »
The latest git update does correct the initial issue of GMB not loading (squentin supplied a fix)

For pulseaudio I also had to install the following to get playback:

Code: [Select]
gstreamer-1.0 libglib-object-introspection-perl gstreamer1.0-plugins-base gstreamer1.0-plugins-ugly gstreamer1.0-plugins-bad gstreamer1.0-plugins-good gstreamer1.0-pulseaudio gir1.2-gst-plugins-base-1.0
Thank you squentin for your assistance on the IRC channel

/Solved
« Last Edit: February 02, 2015, 01:38:32 by VastOne »